Bug 47518 - Valve Interface Javadocs for invoke method references non-existent method
Valve Interface Javadocs for invoke method references non-existent method
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Documentation
unspecified
PC Windows Vista
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
http://tomcat.apache.org/tomcat-6.0-d...
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-07-13 06:40 UTC by Christopher Schultz
Modified: 2009-07-20 23:38 UTC (History)
0 users



Attachments
Patch to fix javadoc: s/invokeNext/getNext()/invoke/g (1.30 KB, patch)
2009-07-16 14:48 UTC, Christopher Schultz
Details | Diff
Patch to fix javadoc in tc5.5 (1.34 KB, patch)
2009-07-16 14:53 UTC, Christopher Schultz
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Schultz 2009-07-13 06:40:01 UTC
It appears that the Valve interface javadoc hasn't been updated since around TC 5.5. Here is a snip of what it currently available from TC's website (6.0.20 I would guess):

"
# If the corresponding Response was not generated (and control was not returned, call the next Valve in the pipeline (if there is one) by executing context.invokeNext().

.
.
.

# Modify the HTTP headers included with the Response after the invokeNext() method has returned.
# Perform any actions on the output stream associated with the specified Response after the invokeNext() method has returned.
"

The invokeNext method has not existed in the Valve interface in many versions. I believe the replacement is:

this.getNext().invoke(request, response)

I'm happy to provide a doc patch if getNext().invoke(request, response) is the expected replacement for invokeNext(request, response).

Note that the docs for 5.5 also have the same problem. Please let me know if I should log that separately.
Comment 1 Mark Thomas 2009-07-13 12:09:57 UTC
That looks like the correct fix to me. No need to log 5.5.x separately although patches for both would be appreciated.
Comment 2 Christopher Schultz 2009-07-16 14:48:48 UTC
Created attachment 23996 [details]
Patch to fix javadoc: s/invokeNext/getNext()/invoke/g
Comment 3 Christopher Schultz 2009-07-16 14:53:13 UTC
Created attachment 23997 [details]
Patch to fix javadoc in tc5.5
Comment 4 Mark Thomas 2009-07-20 23:38:16 UTC
Thanks for the patches. They have been applied to trunk, 6.0.x and 5.5.x and will be included in 6.0.21 and 5.5.29.